Bug 148423 - [PATCH] graphics/mupdf: update to r1309
[PATCH] graphics/mupdf: update to r1309
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Max Brazhnikov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-07 13:10 UTC by baptiste.daroussin
Modified: 2010-07-10 12:20 UTC (History)
1 user (show)

See Also:


Attachments
mupdf-r1309,1.patch (4.56 KB, patch)
2010-07-07 13:10 UTC, baptiste.daroussin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description baptiste.daroussin 2010-07-07 13:10:03 UTC
- Update to r1309
- depends on ports/148421
- now uses gmake to build
- install the library
- do not optionify anymore CJK, it doesn't seems to be optionnal anymore

Removed file(s):
- files/patch-Jamrules

Port maintainer (martin.dieringer@gmx.de) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2010-07-07 13:10:44 UTC
Maintainer of graphics/mupdf,

Please note that PR ports/148423 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/148423

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-07-07 13:10:46 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 martin.dieringer 2010-07-07 15:27:44 UTC
Hi, I would suggest keeping the mu_ prefixes, 'pdfinfo'
conflicts with graphics/xpdf
Comment 4 baptiste.daroussin 2010-07-07 16:13:55 UTC
Here is a new version that avoid conflict with xpdf readding the mu_ prefix as
suggested by maintainer

--- mupdf-r1309,1.patch begins here ---
diff -ruN --exclude=CVS /usr/ports/graphics/mupdf.orig/Makefile /usr/ports/graphics/mupdf/Makefile
--- /usr/ports/graphics/mupdf.orig/Makefile	2010-04-27 21:06:53.000000000 +0200
+++ /usr/ports/graphics/mupdf/Makefile	2010-07-07 17:12:54.843065021 +0200
@@ -5,46 +5,42 @@
 # $FreeBSD: ports/graphics/mupdf/Makefile,v 1.6 2010/04/27 19:06:53 amdmi3 Exp $
 
 PORTNAME=	mupdf
-PORTVERSION=	r940
+PORTVERSION=	r1309
 PORTEPOCH=	1
 CATEGORIES=	graphics
-MASTER_SITES=	http://www.mupdf.com/download/
+MASTER_SITES=	http://www.mupdf.com/download/snapshots/
 
 MAINTAINER=	martin.dieringer@gmx.de
 COMMENT=	Lightweight PDF viewer and toolkit
 
-BUILD_DEPENDS=	jam:${PORTSDIR}/devel/jam
 LIB_DEPENDS=	freetype.9:${PORTSDIR}/print/freetype2 \
-		jpeg.11:${PORTSDIR}/graphics/jpeg
+		jpeg.11:${PORTSDIR}/graphics/jpeg \
+		jbig2dec.0:${PORTSDIR}/graphics/jbig2dec \
+		openjpeg.2:${PORTSDIR}/graphics/openjpeg
 
+USE_GMAKE=	yes
+MAKE_ARGS+=	build=release prefix=${PREFIX} verbose=true
 WRKSRC=		${WRKDIR}/${PORTNAME}
 USE_XORG=	x11 xext
-JAM_ARGS=	-q -sLOCALBASE=${LOCALBASE} \
-		-sPTHREAD_LIBS=${PTHREAD_LIBS} ${_MAKE_JOBS}
+USE_GNOME=	pkgconfig
+
 MAKE_JOBS_SAFE=	yes
 
-EXECUTABLES=	cmapdump    pdfdraw     pdfinfo \
-		fontdump    pdfclean    pdfextract  pdfshow
+LICENSE=	GPLv3
+LICENSE_FILE=	${WRKSRC}/COPYING
 
-OPTIONS=	CJK "Enable Asian Fontset" On
+CFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
 
 .include <bsd.port.options.mk>
 
-.if defined(WITHOUT_CJK)
-JAM_ARGS+=	-sDEFINES=NOCJK
-.endif
-
-do-build:
-	cd ${WRKSRC} &&	jam ${JAM_ARGS}
-
-do-install:
-	${INSTALL} ${WRKSRC}/build/mupdf ${PREFIX}/bin/mupdf
-.for f in ${EXECUTABLES}
-	${INSTALL} ${WRKSRC}/build/$f ${PREFIX}/bin/mu_$f ;
-.endfor
-
 .if ${ARCH} == "sparc64"
 BROKEN=		Does not install on sparc64
 .endif
 
+post-patch:
+	@${REINPLACE_CMD} 's/LAGS :=/LAGS +=/g' ${WRKSRC}/Makerules
+	@${REINPLACE_CMD} 's/Linux/FreeBSD/g' ${WRKSRC}/Makerules
+	@${REINPLACE_CMD} 's#\(PDF.*_EXE=.*DIR./\)#\1mu_#g' ${WRKSRC}/Makefile
+
 .include <bsd.port.mk>
diff -ruN --exclude=CVS /usr/ports/graphics/mupdf.orig/distinfo /usr/ports/graphics/mupdf/distinfo
--- /usr/ports/graphics/mupdf.orig/distinfo	2010-04-27 21:06:53.000000000 +0200
+++ /usr/ports/graphics/mupdf/distinfo	2010-07-07 14:15:39.000000000 +0200
@@ -1,3 +1,3 @@
-MD5 (mupdf-r940.tar.gz) = 30463110385d5279b0ba1b5d1907908b
-SHA256 (mupdf-r940.tar.gz) = ed00e461f3ad03ee9d7634abdd183f843e41367b6326809255a4b216f452c9bf
-SIZE (mupdf-r940.tar.gz) = 3611853
+MD5 (mupdf-r1309.tar.gz) = 047f1fb75d2f37837b63f2b064fa5e1c
+SHA256 (mupdf-r1309.tar.gz) = 222f2b26c6b63561f48f1d2a6c13763a4474a862d69cdd903daa959b249fcb78
+SIZE (mupdf-r1309.tar.gz) = 3607227
diff -ruN --exclude=CVS /usr/ports/graphics/mupdf.orig/files/patch-Jamrules /usr/ports/graphics/mupdf/files/patch-Jamrules
--- /usr/ports/graphics/mupdf.orig/files/patch-Jamrules	2010-01-12 02:23:27.000000000 +0100
+++ /usr/ports/graphics/mupdf/files/patch-Jamrules	1970-01-01 01:00:00.000000000 +0100
@@ -1,31 +0,0 @@
---- Jamrules.orig       2009-12-09 02:59:17.000000000 +0100
-+++ Jamrules    2010-01-11 21:53:06.000000000 +0100
-@@ -39,22 +39,22 @@
- OSPLAT ?= x64 ; # this one isn't in the jambase :(
-
- # Place all build products here:
--ALL_LOCATE_TARGET ?= [ FDirName $(TOP) build $(OS:L)-$(OSPLAT:L)-$(BUILD:L) ] ;
-+ALL_LOCATE_TARGET ?= [ FDirName $(TOP) build ] ;
-
- # Add compile time defines for JBIG2 and JPEG2000 support.
- if $(HAVE_JBIG2DEC) { DEFINES += HAVE_JBIG2DEC ; }
- if $(HAVE_OPENJPEG) { DEFINES += HAVE_OPENJPEG ; }
- 
--if $(OS) = LINUX
-+if $(OS) = FREEBSD
- {
--    Echo Building for LINUX ;
-+    Echo Building for FREEBSD ;
- 
-     BUILD_X11APP = true ;
- 
--    CCFLAGS = -Wall -std=gnu99 -I/usr/include/freetype2 ;
--    LINKFLAGS = -L/usr/X11R6/lib ;
-+    CCFLAGS = -Wall -std=gnu99 -I$(LOCALBASE)/include/freetype2 -I$(LOCALBASE)/include/ ;
-+    LINKFLAGS = -L$(LOCALBASE)/lib ;
-     LINKLIBS = -lfreetype -ljpeg -lz -lm ;
--    APPLINKLIBS = -lX11 -lXext -lpthread ;
-+    APPLINKLIBS = -lX11 -lXext $(PTHREAD_LIBS) ;
- 
-     if $(BUILD) = debug   { OPTIM = -g -O0 -fno-inline ; }
-     if $(BUILD) = release { OPTIM = -O3 ; }
diff -ruN --exclude=CVS /usr/ports/graphics/mupdf.orig/pkg-plist /usr/ports/graphics/mupdf/pkg-plist
--- /usr/ports/graphics/mupdf.orig/pkg-plist	2009-11-11 17:38:48.000000000 +0100
+++ /usr/ports/graphics/mupdf/pkg-plist	2010-07-07 17:14:16.612834878 +0200
@@ -1,8 +1,12 @@
 bin/mupdf
-bin/mu_pdfshow
+bin/mu_pdfclean
 bin/mu_pdfdraw
-bin/mu_pdfinfo
-bin/mu_cmapdump
 bin/mu_pdfextract
-bin/mu_pdfclean
-bin/mu_fontdump
+bin/mu_pdfinfo
+bin/mu_pdfshow
+include/fitz.h
+include/fitz_base.h
+include/fitz_draw.h
+include/fitz_stream.h
+include/mupdf.h
+lib/libmupdf.a
--- mupdf-r1309,1.patch ends here ---
Comment 5 martin.dieringer 2010-07-07 23:40:25 UTC
looks good to me, I approve. Thanks a lot!
Comment 6 Mark Linimon freebsd_committer 2010-07-08 02:26:40 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 7 Max Brazhnikov freebsd_committer 2010-07-09 22:27:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 8 Max Brazhnikov freebsd_committer 2010-07-09 23:31:20 UTC
State Changed
From-To: open->feedback

Fails to fetch http://people.freebsd.org/~makc/tb/mupdf-r1309,1.log , 
Could you fix it? 

http://www.freebsd.org/cgi/query-pr.cgi?pr=148423 

Date: Sat, 10 Jul 2010 01:37:31 +0200 (CEST)
Comment 9 Mark Linimon freebsd_committer 2010-07-10 03:32:13 UTC
State Changed
From-To: feedback->open

Feedback received and incorporated from misfiled PR ports/148480.
Comment 10 dfilter freebsd_committer 2010-07-10 12:12:18 UTC
makc        2010-07-10 11:12:09 UTC

  FreeBSD ports repository

  Modified files:
    graphics/mupdf       Makefile distinfo pkg-plist 
  Removed files:
    graphics/mupdf/files patch-Jamrules 
  Log:
  Update to r1309 [1]
  Do not optionify CJK, it doesn't seems to be optionnal anymore [1]
  Update to 0.6 [2]
  
  PR:             ports/148423
  Submitted by:   Bapt <baptiste.daroussin at gmail.com> [1], maintainer [2]
  Approved by:    Martin Dieringer (maintainer)
  
  Revision  Changes    Path
  1.7       +21 -22    ports/graphics/mupdf/Makefile
  1.5       +3 -3      ports/graphics/mupdf/distinfo
  1.3       +0 -31     ports/graphics/mupdf/files/patch-Jamrules (dead)
  1.2       +9 -5      ports/graphics/mupdf/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Max Brazhnikov freebsd_committer 2010-07-10 12:15:24 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!